Bug 814410 - KMail2 consumes almost all CPU
KMail2 consumes almost all CPU
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
: 896196 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 15:55 EDT by Vojtech Juranek
Modified: 2015-02-17 09:14 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 896196 (view as bug list)
Environment:
Last Closed: 2015-02-17 09:14:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 243569 None None None Never

  None (edit)
Description Vojtech Juranek 2012-04-19 15:55:16 EDT
Description of problem:
After upgrade to KMail2, kmail consume almost all CPU, typically 60-95% of CPU. Example from top:

PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
2637 vjuranek  20   0  547m 373m  22m S 82.8  9.5  31:36.93 kmail


Version-Release number of selected component (if applicable):
KMail 4.8.1
kdepim-4.8.1-4.fc16.i686

How reproducible:
almost always


Steps to Reproduce:
1. run KMail
  
Actual results:
KMail consumes more 60% of CPU all the time.

Expected results:
KMail consumes less ~ 10% of CPU once started


Additional info:
Comment 1 Vojtech Juranek 2012-04-19 16:25:18 EDT
Here is sample output from strace (when taken, according to progress window, kmail didn't fetch new mails or didn't do any other activity):

clock_gettime(CLOCK_MONOTONIC, {5996, 63683081}) = 0
read(7, 0x85525c8, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
ioctl(10, FIONREAD, [20340])            = 0
read(10, "* 105682 FETCH (UID 105682 REV 0"..., 20340) = 20340
clock_gettime(CLOCK_MONOTONIC, {5996, 66585545}) = 0
read(7, 0x85525c8, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=7, events=POLLIN}, {fd=9, events=POLLIN}, {fd=10, events=POLLIN}, {fd=5, events=POLLIN}, {fd=12, events=POLLIN}], 7, 44) = 1 ([{fd=10, revents=POLLIN}])
clock_gettime(CLOCK_MONOTONIC, {5996, 66733399}) = 0
read(7, 0x85525c8, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
ioctl(10, FIONREAD, [22507])            = 0
read(10, "* 105598 FETCH (UID 105598 REV 0"..., 22507) = 22507
clock_gettime(CLOCK_MONOTONIC, {5996, 69964046}) = 0
read(7, 0x85525c8, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=7, events=POLLIN}, {fd=9, events=POLLIN}, {fd=10, events=POLLIN}, {fd=5, events=POLLIN}, {fd=12, events=POLLIN}], 7, 41) = 1 ([{fd=10, revents=POLLIN}])
clock_gettime(CLOCK_MONOTONIC, {5996, 70108898}) = 0
read(7, 0x85525c8, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
ioctl(10, FIONREAD, [22988])            = 0
read(10, "* 105566 FETCH (UID 105566 REV 0"..., 22988) = 22988
clock_gettime(CLOCK_MONOTONIC, {5996, 75723927}) = 0
read(7, 0x85525c8, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}, {fd=8, events=POLLIN}, {fd=7, events=POLLIN}, {fd=9, events=POLLIN}, {fd=10, events=POLLIN}, {fd=5, events=POLLIN}, {fd=12, events=POLLIN}], 7, 35) = 1 ([{fd=10, revents=POLLIN}])
clock_gettime(CLOCK_MONOTONIC, {5996, 75860746}) = 0
read(7, 0x85525c8, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
ioctl(10, FIONREAD, [22574])            = 0
read(10, "* 105512 FETCH (UID 105512 REV 0"..., 22574) = 22574
Comment 2 Vojtech Juranek 2012-04-23 04:53:34 EDT
My observation is that some folders (IMAP as well as local) show wheel icon instead of folder icon (means loading something?). If I click on given folder, the content almost immediately appears and wheel icon is replaced by folder icon. If I do it for all folders with wheel icon, CPU goes back to normal values.
Comment 3 Fedora End Of Life 2013-01-16 14:58:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Kevin Kofler 2013-01-16 17:59:31 EST
*** Bug 896196 has been marked as a duplicate of this bug. ***
Comment 5 Vojtech Juranek 2013-03-22 16:30:20 EDT
Hi, 
any change someone will look on it? After todays upgrade to kdepim-4.10.1-1 it's *much* worse. Before, when I click on the folder with wheel icon, after while folder got sycned, wheel disappeared and when I did so for all folders with wheel icon, CPU went back to normal. After todays upgrade this workaround doesn't work any more and kmail + mysql consume most of the CPU constantly, which makes the computer unusable. IMHO you should increase the severity to "urgent".
Thanks
Comment 6 Fedora End Of Life 2013-07-03 23:43:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-12-21 03:35:17 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-01-09 12:07:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 09:14:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.